Summary:	RADIUS Server
Summary(es.UTF-8):	Servidor RADIUS con muchas funciones
Summary(pl.UTF-8):	Serwer RADIUS
Summary(pt_BR.UTF-8):	Servidor RADIUS com muitas funcoes
Name:		radiusd-cistron
Version:	1.6.8
Release:	3
License:	GPL
Group:		Networking/Daemons/Radius
Source0:	ftp://ftp.radius.cistron.nl/pub/radius/%{name}-%{version}.tar.gz
# Source0-md5:	66709d6db81f5f77db82de27fe42c700
Source1:	%{name}.pamd
Source2:	%{name}.init
Source3:	%{name}.logrotate
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-prefix.patch
Patch2:		%{name}-pid.patch
Patch3:		%{name}-makefile.patch
URL:		http://www.radius.cistron.nl/
BuildRequires:	pam-devel >= 0.77.3
Requires(post,preun):	/sbin/chkconfig
Requires(post):	fileutils
Requires:	logrotate
Requires:	pam >= 0.77.3
Provides:	radius
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	radius

%description
RADIUS server with a lot of functions. Short overview:

- PAM support,
- Supports access based on huntgroups,
- Multiple DEFAULT entries in users file,
- All users file entries can optionally "fall through",
- Caches all config files in-memory,
- Keeps a list of logged in users (radutmp file),
- "radwho" program can be installed as "fingerd",
- Logs both UNIX "wtmp" file format and RADIUS detail logfiles,
- Supports Simultaneous-Use = X parameter. Yes, this means that you
  can now prevent double logins!.

%description -l es.UTF-8
Servidor RADIUS con muchas funciones. Visión general:

- Soporta acceso basado en huntgroups,
- Múltiples entradas POR DEFECTO en el archivo de usuarios,
- Hace el caché de todos los archivos de configuración en memoria,
- Mantienen una lista de los usuarios conectados (archivo radutmp),
- El programa radwho puede ser instalado como fingerd,
- Registra tanto en el formato UNIX wtmp como en el RADIUS detail
- Soporta el parámetro Simultaneous-Use = X. ¡Sí!, esto significa que
  puedes evitar logins duplos.

%description -l pl.UTF-8
Serwer RADIUS z wieloma funkcjami. W skrócie:

- obsługa PAM,
- obsługa dostępu bazująca na huntgroups,
- wiele wpisów DEFAULT w pliku users,
- wszystkie wpisy w pliku users mogą być opcjonalnie "fall through",
- buforuje wszystkie pliki konfiguracyjne w pamięci,
- trzyma listę zalogowanych użytkowników (plik radutmp),
- program radwho może być zainstalowany jako fingerd,
- loguje zarówno w uniksowym formacie wtmp i logach szczegółowych
  RADIUS,
- obsługuje parametr Simultaneous-Use = X - tak, w ten sposób możesz
  uniknąć podwójnego logowania!.

%description -l pt_BR.UTF-8
Servidor RADIUS com muitas funções. Visão geral:

- Suporta acesso baseado em huntgroups,
- Multiplas entradas DEFAULT no arquivo de usuarios,
- Faz cache de todos os arquivos de configuracão em memoria,
- Mantem uma lista dos usuarios conectados (arquivo radutmp),
- O programa radwho pode ser instalado como fingerd,
- Registra tanto no formato UNIX wtmp quanto no RADIUS detail,
- Suporta o parametro Simultaneous-Use = X. Sim, isto significa, que
  você pode evitar logins duplos!, inclusive com o Cyclades PathRas.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

sed -i -e 's# -s # #g' src/Make.inc

%build
cd src
%{__make} \
	CC="%{__cc}" \
	PAM="-DPAM" \
	PAMLIB="-lpam -ldl" \
	LCRYPT="-lcrypt" \
        LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags} %{rpmcflags}"
cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/{raddb,logrotate.d,rc.d/init.d,pam.d},var/log/radacct} \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,5,8}}

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR="%{_bindir}" \
	SBINDIR="%{_sbindir}" \
	MANDIR="%{_mandir}" \
	RADIUS_DIR="%{_sysconfdir}/raddb"

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/radius
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/radius
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/radius

install raddb/* $RPM_BUILD_ROOT%{_sysconfdir}/raddb
install doc/builddbm.8rad $RPM_BUILD_ROOT%{_mandir}/man8/builddbm.5
install doc/clients.5rad $RPM_BUILD_ROOT%{_mandir}/man5/clients.5
install doc/naslist.5rad $RPM_BUILD_ROOT%{_mandir}/man5/naslist.5

touch $RPM_BUILD_ROOT/etc/pam.d/radius
touch $RPM_BUILD_ROOT/var/log/rad{utmp,wtmp,ius.log}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /var/log/radutmp /var/log/radwtmp
/sbin/chkconfig --add radius
if [ -f /var/lock/subsys/radius ]; then
	/etc/rc.d/init.d/radius restart >&2
else
	echo "Run \"/etc/rc.d/init.d/radius start\" to start radius daemon."
fi
touch /var/log/rad{utmp,wtmp,ius.log}
chmod 640 /var/log/rad{utmp,wtmp,ius.log}

%preun
if [ "$1" = "0" ]; then
	/etc/rc.d/init.d/radius stop >&2
	/sbin/chkconfig --del radius
fi

%files
%defattr(644,root,root,755)
%doc doc/{ChangeLog,FAQ.txt,README*} todo/TODO
%attr(640,root,root) %config %verify(not md5 mtime size) %{_sysconfdir}/raddb/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/radius
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/radius
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/radius
%attr(750,root,root) %dir /var/log/radacct
%attr(750,root,root) %dir %{_sysconfdir}/raddb
%attr(640,root,root) %ghost /var/log/radutmp
%attr(640,root,root) %ghost /var/log/radwtmp
%attr(640,root,root) %ghost /var/log/radius.log
%dir %{_datadir}/radius
%{_datadir}/radius/dictionary.*
%{_mandir}/*/*
%changelog
* Thu Feb 02 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/radiusd-cistron.git;a=log;h=master

* Thu Feb 02 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d9303e
- rel 3

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> e5a4603
- Release 2 (by relup.sh)

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 51f141f
- up to 1.6.8
- buff_over_fix.patch obsolete
- updated: DESTDIR.patch, makefile.patch
- new pid.patch for: "error: static declaration of 'radius_pid'
follows non-static declaration"
- %files

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> fcf1c8b
- up to fit 1.6.8

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 5a5ced0
- new, get rid of radius pid problem

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 7395fbd
- obsolete

* Fri Oct 24 2008 Paweł Gołaszewski <blues@pld-linux.org> e3c483a
- Group fixed

* Tue Mar 27 2007 Jan Rękorajski <baggins@pld-linux.org> 6df489b
- uniformized configs to use system-auth where possible
- sanitized
- uniform blacklist for pop3, imap and smtp services

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 53c896f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 765f2bc
- converted to UTF-8

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> 4f38edb
- remove remnants from template.init

* Tue Jun 14 2005 zbyniu <zbyniu@pld-linux.org> dfc4405
- BR: pam-devel; sorted verify() flags

* Sun Sep 26 2004 kolodko <kolodko@pld-linux.org> 4c18851
- added macros in /etc/logrotate.d

* Wed Aug 18 2004 Sebastian Zagrodzki <sebek@zagrodzki.net> 956f5de
- updated logrotate config
- rel 7

* Wed Aug 18 2004 Sebastian Zagrodzki <sebek@zagrodzki.net> 6b18515
- s/radiusd/radius/

* Fri Feb 06 2004 Sebastian Zagrodzki <sebek@zagrodzki.net> 327eb87
- rel 6 (updated .init file)

* Fri Feb 06 2004 Sebastian Zagrodzki <sebek@zagrodzki.net> b140d50
- use -Z option - logging passwords to a file is a serious security problem.

* Sat Dec 27 2003 ankry <ankry@pld-linux.org> 952f108
- rel. 5

* Fri Dec 19 2003 Jacek Konieczny <jajcus@pld-linux.org> e6730f9
- s,/lib/security,,

* Fri Sep 26 2003 Jan Rękorajski <baggins@pld-linux.org> a8e7f44
- release 4

